Subject: Re: bug#5030: 23.1.50; Unexpected minibuffer tab completion behavior

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Nov 2009 11:36:42 -0500

>>  - The `(and pop-up-windows ...)' clause of `display-buffer' is
>> evaluated*, and calls `(set-window-dedicated-p window-to-use 'soft)'.
>>  - However, the `window--display-buffer-2' call then calls
>> `set-window-buffer', which sets `w->dedicated = Qnil'.

> Not sure if this is the best fix, but the patch below at least
> corrects this issue.  It changes `display-buffer' so that
> `set-window-dedicated-p' is called after `window--display-buffer-2' in
> both clauses that use `display-buffer-mark-dedicated'.

Thanks for tracking that down.  I've installed a slightly different
patch which seems to fix it,

        Stefan